package com.github.wxiaoqi.security.common.util.process;


import com.github.wxiaoqi.security.common.util.SystemProperty;

public class ResultCode {

	// 操作成功
	public static int SUCCESS_CODE = Integer.valueOf(SystemProperty.getResultConfig("SUCCESS_CODE"));
	// 操作失败
	public static int FAILED_CODE = Integer.valueOf(SystemProperty.getResultConfig("FAILED_CODE"));
	// 操作失败
	public static int NULL_CODE = Integer.valueOf(SystemProperty.getResultConfig("NULL_CODE"));
	// 操作出现异常
	public static int EXCEPTION_CODE = Integer.valueOf(SystemProperty.getResultConfig("EXCEPTION_CODE"));
	// 数据已存在
	public static int EXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("EXIST_CODE"));
	// 数据不存在
	public static int NOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("NOTEXIST_CODE"));
	// rstoken失效
	public static int RSTOKEN_EXPIRED_CODE = Integer.valueOf(SystemProperty.getResultConfig("RSTOKEN_EXPIRED_CODE"));
	// rstoken不合法
	public static int RSTOKEN_NULL_CODE = Integer.valueOf(SystemProperty.getResultConfig("RSTOKEN_NULL_CODE"));
	// 请求微信接口错误
	public static int WXAPI_CODE = Integer.valueOf(SystemProperty.getResultConfig("WXAPI_CODE"));
	// 微信用户不存在
	public static int WXNOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("WXNOTEXIST_CODE"));
	// ajax请求，用户未登录
	public static int AJAX_WECHAT_NOTEXIST_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("AJAX_WECHAT_NOTEXIST_CODE"));
	// 手机号已绑定人脸
	public static int FACE_BIND_CODE = Integer.valueOf(SystemProperty.getResultConfig("FACE_BIND_CODE"));
	// 手机号未绑定人脸
	public static int FACE_NOTBIND_CODE = Integer.valueOf(SystemProperty.getResultConfig("FACE_NOTBIND_CODE"));
	// 人脸识别失败
	public static int FACE_NOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("FACE_NOTEXIST_CODE"));

	// 人脸比对失败
	public static int FACE_COMPARE_FAILED_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("FACE_COMPARE_FAILED_CODE"));

	// 人脸+眼睛识别失败
	public static int EYE_NOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("EYE_NOTEXIST_CODE"));

	// redis中的token过期或者为空
	public static int REDIS_TOKEN_NULL_CODE = Integer.valueOf(SystemProperty.getResultConfig("REDIS_TOKEN_NULL_CODE"));

	// 手机号码已被使用
	public static int PHONE_EXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("PHONE_EXIST_CODE"));

	// 获取app用户失败
	public static int GET_APPUSER_FAILED_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("GET_APPUSER_FAILED_CODE"));

	// 用户不存在
	public static int USER_NOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("USER_NOTEXIST_CODE"));

	// 用户已存在
	public static int USER_EXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("USER_EXIST_CODE"));

	// 手机号已绑定人脸
	public static int WX_BIND_CODE = Integer.valueOf(SystemProperty.getResultConfig("WX_BIND_CODE"));

	// 人脸已绑定手机号
	public static int FACE_BIND_PHONE_CODE = Integer.valueOf(SystemProperty.getResultConfig("FACE_BIND_PHONE_CODE"));

	// 新增组织失败
	public static int ORG_INSERT_FAILED_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("ORG_INSERT_FAILED_CODE"));

	// 更新组织信息失败
	public static int ORG_UPDATE_FAILED_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("ORG_UPDATE_FAILED_CODE"));

	// 新增角色信息失败
	public static int ROLE_INSERT_FAILED_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("ROLE_INSERT_FAILED_CODE"));

	// 更新组织信息失败
	public static int ROLE_UPDATE_FAILED_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("ROLE_UPDATE_FAILED_CODE"));

	// 组织下已存在超级管理员角色
	public static int ROLE_SUPER_ISEXIST_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("ROLE_SUPER_ISEXIST_CODE"));

	// 角色不存在
	public static int ROLE_NOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("ROLE_NOTEXIST_CODE"));

	// 没有操作菜单的权限
	public static int NOT_MENU_AUTH_CODE = Integer.valueOf(SystemProperty.getResultConfig("NOT_MENU_AUTH_CODE"));

	// 新增权限失败
	public static int INSERT_AUTH_FAILED_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("INSERT_AUTH_FAILED_CODE"));

	// 更新权限失败
	public static int UPDATE_AUTH_FAILED_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("UPDATE_AUTH_FAILED_CODE"));

	// 角色权限不存在
	public static int ROLE_NOTEXIST_AUTH_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("ROLE_NOTEXIST_AUTH_CODE"));

	// 无一级角色
	public static int NOT_HAVE_LEVEL1 = Integer.valueOf(SystemProperty.getResultConfig("NOT_HAVE_LEVEL1"));

	// 账户已存在
	public static int ACCOUNT_ISEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("ACCOUNT_ISEXIST_CODE"));

	// 账户不存在
	public static int ACCOUNT_NOT_EXIST_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("ACCOUNT_NOT_EXIST_CODE"));

	// 账户不存在
	public static int ORG_DONTHAVE_PUBLIC_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("ORG_DONTHAVE_PUBLIC_CODE"));

	// 组织超级管理员已存在
	public static int ACCOUNT_FIRST_ISEXIST_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("ACCOUNT_FIRST_ISEXIST_CODE"));

	// 昵称格式有误，请填写正确昵称
	public static int NICKNAME_NULL_CODE = Integer.valueOf(SystemProperty.getResultConfig("NICKNAME_NULL_CODE"));

	// 账户已禁用
	public static int ACCOUNTINFO_ISDEL = Integer.valueOf(SystemProperty.getResultConfig("ACCOUNTINFO_ISDEL"));

	// 监控设备不存在
	public static int DEVICE_NOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("DEVICE_NOTEXIST_CODE"));
	// 设备access_token获取失败
	public static int DEVICE_TOKEN_NOTEXIST_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("DEVICE_TOKEN_NOTEXIST_CODE"));

	// 操作频繁提示
	public static int API_MAX_CODE = Integer.valueOf(SystemProperty.getResultConfig("API_MAX_CODE"));

	// 公众号不存在
	public static int PUBLIC_NOTEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("PUBLIC_NOTEXIST_CODE"));

	// 公众号不存在
	public static int REPEAT_SUB_CODE = Integer.valueOf(SystemProperty.getResultConfig("REPEAT_SUB_CODE"));

	// 身份证信息已存在
	public static int IDNUM_ISEXIST_CODE = Integer.valueOf(SystemProperty.getResultConfig("IDNUM_ISEXIST_CODE"));
	// 身份证信息已存在
	public static int IDCARD_INVALID_CODE = Integer.valueOf(SystemProperty.getResultConfig("IDCARD_INVALID_CODE"));

	// 企业个人简历不存在
	public static int CORP_VITA_NOTEXIST = Integer.valueOf(SystemProperty.getResultConfig("CORP_VITA_NOTEXIST"));
	// 企业个人简历不完善
	public static int CORP_VITA_INCOMPLETET = Integer.valueOf(SystemProperty.getResultConfig("CORP_VITA_INCOMPLETET"));
	// 简历有效期内已投
	public static int VITA_DELIVERED = Integer.valueOf(SystemProperty.getResultConfig("VITA_DELIVERED"));
	// 岗位已下架
	public static int POST_END_CODE = Integer.valueOf(SystemProperty.getResultConfig("POST_END_CODE"));

	// 客服下存在粉丝
	public static int SERVICE_HAS_FANS = Integer.valueOf(SystemProperty.getResultConfig("SERVICE_HAS_FANS"));
	// 未找到客服信息
	public static int NOT_FIND_SERVICE_CODE = Integer.valueOf(SystemProperty.getResultConfig("NOT_FIND_SERVICE_CODE"));
	// 非客服身份
	public static int NOT_SERVICE = Integer.valueOf(SystemProperty.getResultConfig("NOT_SERVICE"));

	// 圈子模块resultInfo类型返回正确码
	public static int SCRM_RESULTINFO_SUCCESS_CODE = Integer
			.valueOf(SystemProperty.getResultConfig("SCRM_RESULTINFO_SUCCESS_CODE"));

	// 市接口无数据返回
	public static int NO_SELECT_BY_RS = Integer.valueOf(SystemProperty.getResultConfig("NO_SELECT_BY_RS"));

	// 未绑定社保卡
	public static int NOT_BIND_SOCIAL_CARD = Integer.valueOf(SystemProperty.getResultConfig("NOT_BIND_SOCIAL_CARD"));

	// 操作失败
	public static int STOCK_CODE = Integer.valueOf(SystemProperty.getResultConfig("STOCK_CODE"));

	public static int GET_AUTH_INFO_FAILED_CODE = Integer.valueOf(SystemProperty.getResultConfig("GET_AUTH_INFO_FAILED_CODE"));

	public static int WRONG_FORMAT_OF_ID_CARD = Integer.valueOf(SystemProperty.getResultConfig("WRONG_FORMAT_OF_ID_CARD"));

	public static int INCOMPLETE_DATA = Integer.valueOf(SystemProperty.getResultConfig("INCOMPLETE_DATA"));
	public static String getMsg(int code) {
		return SystemProperty.getResultConfig(String.valueOf(code));
	}
}
